/* ====================================
banner
======================================= */

.page-banner3 {
  position: relative;
  height: 450px;
  background: url("../images/Banners/service_banner.webp") center center/cover
    no-repeat !important;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.banner-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.65);
}

.banner-content {
  position: relative;
  z-index: 2;
}

.banner-content h1 {
  font-size: 30px;
  font-weight: 700;
  color: #fff;
  margin-bottom: 30px;
}

.breadcrumb {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
}

.breadcrumb a {
  color: #fff;
  text-decoration: none;
}

.breadcrumb i {
  font-size: 14px;
}

@media (max-width: 992px) {
  .page-banner3 {
    height: 350px;
  }

  .banner-content h1 {
    font-size: 55px;
  }

  .breadcrumb {
    font-size: 16px;
  }
}

@media (max-width: 768px) {
  .page-banner3 {
    height: 450px !important;
    padding: 0 15px;
  }

  .banner-content h1 {
    font-size: 38px;
    margin-bottom: 15px;
  }

  .breadcrumb {
    gap: 8px;
    font-size: 14px;
    flex-wrap: wrap;
  }

  .breadcrumb i {
    font-size: 12px;
  }
}

@media (max-width: 480px) {
  .page-banner3 {
    height: 450px;
  }

  .banner-content h1 {
    font-size: 25px;
  }

  .breadcrumb {
    font-size: 11px;
  }
}

/* ===================================
   WHAT WE OFFER SECTION
=================================== */
.offer-section {
    padding: 30px 20px;
    background: #f5f5f5;
    text-align: center;
}

.offer-container {
    max-width: 1400px;
    margin: 0 auto;
}

.offer-title {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 20px;
    /* line-height: 1.2; */
}

.blue-text {
    color: #2d57a1;
}

.red-text {
    color: #d61f26;
}

.offer-description {
    max-width: 1500px;
    margin: 0 auto;
    font-size: 18px;
    /* line-height: 1.8; */
    color: #222;
}

/* =========================
   Laptop
========================= */
@media (max-width: 1200px) {

    .offer-title {
        font-size: 50px;
    }

    .offer-description {
        font-size: 22px;
    }
}

/* =========================
   Tablet
========================= */
@media (max-width: 992px) {

    .offer-section {
        padding: 20px 20px;
    }

    .offer-title {
        font-size: 15px;
    }

    .offer-description {
        font-size: 20px;
        line-height: 1.7;
    }
}

/* =========================
   Mobile
========================= */
@media (max-width: 768px) {

    .offer-section {
        padding: 20px 15px;
    }

    .offer-title {
        font-size: 34px;
        margin-bottom: 15px;
    }

    .offer-description {
        font-size: 18px;
        line-height: 1.7;
    }
}

/* =========================
   Small Mobile
========================= */
@media (max-width: 480px) {

    .offer-title {
        font-size: 28px;
    }

    .offer-description {
        font-size: 16px;
        line-height: 1.8;
    }
}

/* =========================
   Extra Small Mobile
========================= */
@media (max-width: 360px) {

    .offer-title {
        font-size: 24px;
    }

    .offer-description {
      text-align: left;
        font-size: 13px;
    }
}


/* =========================
   SERVICE SECTION
========================= */
.taxi-services-section {
    width: 100%;
    max-width: 1200px;
    margin: 60px auto;
    padding: 0 0px;
}

.taxi-service-row {
    display: flex;
    align-items: center;
    gap: 40px;
    margin-bottom: 60px;
}

.taxi-reverse-row {
    flex-direction: row;
}

.taxi-service-image {
    flex: 1;
        overflow: hidden;
    border-radius: 15px;
}

.taxi-service-image img {
    width: 100%;
    height: 320px;
    object-fit: cover;
    border-radius: 15px;
    display: block;
     transition: transform 0.5s ease;
}

.taxi-service-image:hover img {
    transform: scale(1.08);
}

.taxi-service-content {
    flex: 1.5;
    background: #fff;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.08);
      transition: all 0.4s ease;
}

.taxi-service-content:hover {
    transform: translateY(-8px);
    box-shadow: 0 15px 35px rgba(0,0,0,0.15);
}

.taxi-service-content h3 {
    color: #2d57a1;
    /* color: #43a047; */
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
      transition: 0.3s;
}

.taxi-service-content h4 {
    color: #d61f26;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
      transition: 0.3s;
}



/* .taxi-service-content:hover h3 {
    color: #ff6b00;
} */

.taxi-service-content p {
    font-size: 15px;
    line-height: 1.9;
    color: #555;
    margin-bottom: 25px;
}

.service-description-text a {
    color: #0d6efd;
    text-decoration: none;
}

.service-description-text a:hover {
    color: #084298;
    text-decoration: none;
}

/* Button Style */
.taxi-service-btn {
    display: inline-block;
    padding: 10px 20px;
    background: #0d6efd;
    color: #fff;
    border-radius: 50px;
    text-decoration: none;
    font-weight: 600;
    transition: all 0.3s ease;
}


/* Button Hover */
.taxi-service-btn:hover {
    background: #d604f1;
    color: #fff;
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(214, 4, 241, 0.3);
}

/* Text Hover */
.taxi-service-content:hover p {
    color: #333;
}



/* ===============================
   TABLET
================================== */
@media (max-width: 992px) {

    .taxi-service-row {
        gap: 25px;
    }

    .taxi-service-content {
        padding: 20px;
    }

    .taxi-service-content h3 {
        font-size: 26px;
    }

    .taxi-service-content p {
        font-size: 16px;
        line-height: 1.7;
    }

    .taxi-service-image img {
        height: 280px;
    }
}

  /* ==========================================
   MOBILE
========================================== */
@media (max-width: 768px) {

    .taxi-services-section{
        padding: 20px 15px;
    }

    .taxi-service-row,
    .taxi-reverse-row{
        display: flex;
        flex-direction: column !important;
        gap: 15px;
        margin-bottom: 30px;
    }

    /* Image always first */
    .taxi-service-image{
        order: 1 !important;
        width: 100%;
        flex: 100%;
    }

    /* Content always second */
    .taxi-service-content{
        order: 2 !important;
        width: 100%;
        flex: 100%;
        padding: 20px;
    }

    .taxi-service-image img{
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 15px;
    }

    .taxi-service-content h3{
        font-size: 22px;
        margin-bottom: 15px;
        line-height: 1.4;
    }

    .taxi-service-content h3 i{
        font-size: 20px;
        margin-right: 8px;
    }

    .taxi-service-content p{
        font-size: 14px;
        line-height: 1.8;
        margin-bottom: 20px;
    }

    .taxi-service-btn{
        width: 100%;
        display: block;
        text-align: center;
        padding: 12px;
        font-size: 15px;
    }
    .taxi-service-content h4 {
    
    font-size: 18px;
}
}

/* ==========================================
   SMALL MOBILE
========================================== */
@media (max-width: 480px) {

    .taxi-services-section{
        padding: 0px 10px;
    }

    .taxi-service-image img{
        height: 180px;
        border-radius: 12px;
    }

    .taxi-service-content{
        padding: 15px;
        border-radius: 12px;
    }

    .taxi-service-content h3{
        font-size: 20px;
    }

    .taxi-service-content p{
        font-size: 13px;
        line-height: 1.7;
    }

    .taxi-service-btn{
        font-size: 14px;
    }
}

/* ==========================================
   EXTRA SMALL MOBILE
========================================== */
@media (max-width: 360px) {

    /* .taxi-service-image img{
        height: 150px;
    } */

    .taxi-service-content h3{
        font-size: 18px;
    }

    .taxi-service-content p{
        font-size: 12px;
    }
}
